package uk.co.martinpearman.b4a.mylistview.arrayadapter;

import java.util.HashMap;

import anywheresoftware.b4a.BA.Hide;

@Hide
public class MyDataClass {
	/*
	 * A simple data only class.
	 * Not exposed to the IDE but if it was then it would be a non-activity object.
	 * It could be declared as a process global - no need for it to be destroyed and re-created on device orientation change for example.
	 */
	private HashMap<String, Object> mMyDataValues;
	
	public MyDataClass(){
		mMyDataValues=new HashMap<String, Object>();
	}
	
	/*
	 * Just two methods are used to enable any Object type to be added or retrieved.
	 * 
	 * http://docs.oracle.com/javase/6/docs/api/java/util/HashMap.html
	 * 
	 * See the documentation if you want to add more methods to manipulate the HashMap.
	 * 
	 */
	public Object get(String pKey){
		return mMyDataValues.get(pKey);
	}
	
	public void put(String pKey, Object pValue){
		mMyDataValues.put(pKey, pValue);
	}
}
