package uk.co.martinpearman.b4a.mylistview.arrayadapter;

import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BA.ActivityObject;
import anywheresoftware.b4a.BA.Author;
import anywheresoftware.b4a.BA.Hide;
import anywheresoftware.b4a.BA.ShortName;
import anywheresoftware.b4a.BA.Version;
import anywheresoftware.b4a.objects.ViewWrapper;

@ActivityObject
@Author("Martin Pearman")
@ShortName("MyListView")
@Version(1.0f)
public class MyListViewWrapper extends ViewWrapper<MyListView> {
	
	public void AddItem(String Title, String Description){
		MyDataClass myDataClass=new MyDataClass();
		myDataClass.put("item_title", Title);
		myDataClass.put("item_description", Description);
		getObject().addItem(myDataClass);
	}
	
	public void ClearList(){
		getObject().clearList();
	}
	
	@Override
	public void Initialize(BA pBA, String EventName) {
		/*
		 * There is no need to override the Initialize method here.
		 * I have done so though just so that the IDE auto-complete shows EventName rather than arg0.
		 * 
		 * EventName is not used - for simplicity MyListView raises no events.
		 */
		super.Initialize(pBA, EventName);
	}
	
	@Hide
	public void innerInitialize(BA pBA, String pEventName, boolean pKeepOldObject) {
		if (!pKeepOldObject){
			setObject(new MyListView(pBA.context));
		}
		super.innerInitialize(pBA, pEventName, true);
	}
}
